messages.checkHistoryImport
Obtains information about a chat export file, generated by a foreign chat app, click here for more info about imported chats ».
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Obtains information about a chat export file, generated by a foreign chat app, click here for more info about imported chats ».
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.checkHistoryImport" \ -H "Content-Type: application/json" \ -d '{ "params": { "importHead": "string" } }'{ "result": { "_": "messages.historyImportParsed", "pm": true, "group": true, "title": "string" }}checkChatInvite
Check the validity of a chat invite link and get basic info about it
checkHistoryImportPeer
Check whether chat history exported from another chat app can be [imported into a specific Telegram chat, click here for more info »](https://core.telegram.org/api/import). If the check succeeds, and no RPC errors are returned, a [messages.CheckedHistoryImportPeer](https://core.telegram.org/type/messages.CheckedHistoryImportPeer) constructor will be returned, with a confirmation text to be shown to the user, before actually initializing the import.